petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSFComputeDegreeEnd

complete computation of degree for each root vertex, started with PetscSFComputeDegreeBegin()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFComputeDegreeEnd(PetscSF sf,const PetscInt **degree)

Collective

### Input Arguments

sf -star forest

### Output Arguments

degree -degree of each root vertex

### Notes

The returned array is owned by PetscSF and automatically freed by PetscSFDestroy(). Hence no need to call PetscFree() on it.

### See Also

### Level

developer

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages